/*
 * MosP - Mind Open Source Project    http://www.mosp.jp/
 * Copyright (C) MIND Co., Ltd.       http://www.e-mind.co.jp/
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
package jp.mosp.mospcommon.system.dto;

import jp.mosp.common.common.BaseDto;

/**
 * CM_LABOR_AGREEMENT(労使協定マスタ)のDTOクラス。
 */
public class CmLaborAgreementDto extends BaseDto {
	
	/**
	 * 
	 */
	private static final long	serialVersionUID	= 9192093093657235642L;
	// フィールド
	private String				agreecode			= "";
	private String				agreetype			= "";
	private String				overtimecode		= "";
	private String				workoncode			= "";
	private int					deleteflag			= 0;
	

	/**
	 * コンストラクタ。
	 */
	public CmLaborAgreementDto() {
		super();
	}
	
	// アクセサメソッド
	/**
	 * @return agreecode 	協定コード。
	 */
	public String getAgreeCode() {
		return agreecode;
	}
	
	/**
	 * @return agreetype 	協定種類。
	 */
	public String getAgreeType() {
		return agreetype;
	}
	
	/**
	 * @return overtimecode 	時間外協定コード。
	 */
	public String getOverTimeCode() {
		return overtimecode;
	}
	
	/**
	 * @return workoncode 	休出協定コード。
	 */
	public String getWorkOnCode() {
		return workoncode;
	}
	
	/**
	 * @return deleteflag 	削除フラグ。
	 */
	public int getDeleteFlag() {
		return deleteflag;
	}
	
	/**
	 * @param agreecode 	セットする協定コード。
	 */
	public void setAgreeCode(String agreecode) {
		this.agreecode = agreecode;
	}
	
	/**
	 * @param agreetype 	セットする協定種類。
	 */
	public void setAgreeType(String agreetype) {
		this.agreetype = agreetype;
	}
	
	/**
	 * @param overtimecode 	セットする時間外協定コード。
	 */
	public void setOverTimeCode(String overtimecode) {
		this.overtimecode = overtimecode;
	}
	
	/**
	 * @param workoncode 	セットする休出協定コード。
	 */
	public void setWorkOnCode(String workoncode) {
		this.workoncode = workoncode;
	}
	
	/**
	 * @param deleteflag 	セットする削除フラグ。
	 */
	public void setDeleteFlag(int deleteflag) {
		this.deleteflag = deleteflag;
	}
	
}
